/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/


/* Add your custom styles here */

/*------- Button Styling -------*/
.elementor-element.elementor-button-info .elementor-button {
    position: relative;
    z-index: 1;
    min-width: 200px;
    transition: all .2s ease-in-out;
}

.elementor-element.elementor-button-info .elementor-button,
.elementor-element.elementor-button-success .elementor-button {
    background: transparent;
}

.elementor-element.elementor-button-info .elementor-button:not(:hover),
.elementor-element.elementor-button-success .elementor-button:not(:hover) {
    border-top-color: transparent;
    border-bottom-color: transparent;
}

.elementor-element.elementor-button-info .elementor-button:before,
.elementor-element.elementor-button-info .elementor-button:after {
    position: absolute;
    content: '';
    height: 1px;
    width: 100%;
    left: 0;
    z-index: -1;
}

.elementor-element.elementor-button-info .elementor-button:before {
    top: 0;
    background: #FEB406;
    background: -webkit-linear-gradient(-90deg, rgba(254, 180, 6, 1) 0%, rgba(255, 255, 255, 0) 20%, rgba(255, 255, 255, 0) 40%, rgba(255, 255, 255, 0) 60%, rgba(254, 180, 6, 1) 100%);
    background: -moz-linear-gradient(-90deg, rgba(254, 180, 6, 1) 0%, rgba(255, 255, 255, 0) 20%, rgba(255, 255, 255, 0) 40%, rgba(255, 255, 255, 0) 60%, rgba(254, 180, 6, 1) 100%);
    background: linear-gradient(-90deg, rgba(254, 180, 6, 1) 0%, rgba(255, 255, 255, 0) 20%, rgba(255, 255, 255, 0) 40%, rgba(255, 255, 255, 0) 60%, rgba(254, 180, 6, 1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#FEB406", endColorstr="#FEB406", GradientType=1);
}

.elementor-element.elementor-button-info .elementor-button:after {
    bottom: 0;
    background: #FEB406;
    background: -webkit-linear-gradient(90deg, rgba(254, 180, 6, 1) 0%, rgba(255, 255, 255, 0) 20%, rgba(255, 255, 255, 0) 40%, rgba(255, 255, 255, 0) 60%, rgba(254, 180, 6, 1) 100%);
    background: -moz-linear-gradient(90deg, rgba(254, 180, 6, 1) 0%, rgba(255, 255, 255, 0) 20%, rgba(255, 255, 255, 0) 40%, rgba(255, 255, 255, 0) 60%, rgba(254, 180, 6, 1) 100%);
    background: linear-gradient(90deg, rgba(254, 180, 6, 1) 0%, rgba(255, 255, 255, 0) 20%, rgba(255, 255, 255, 0) 40%, rgba(255, 255, 255, 0) 60%, rgba(254, 180, 6, 1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#FEB406", endColorstr="#FEB406", GradientType=0);
}

.title-highlight {
    color: #FEB406;
}

/*------- Gravity Form Default Styling -------*/
.gform-wrapper {
    color: #fff;
}

.gform_wrapper .hidden_label label,
.gform_wrapper .hidden_label legend.gfield_label,
.gform_wrapper .gfield_label .gfield_required_text {
    display: none;
}

.gform_wrapper label,
.gform_wrapper legend.gfield_label {
    display: block;
    margin-bottom: 8px;
    font-size: 15px;
    font-weight: 400;
    font-family: 'Roboto', sans-serif;
    line-height: 1.67;
    color: #ffffff;
}

@media(min-width: 768px) {

    .gform_wrapper label,
    .gform_wrapper legend.gfield_label {
        font-size: 16px;
    }
}

@media(min-width: 1200px) {

    .gform_wrapper label,
    .gform_wrapper legend.gfield_label {
        font-size: 18px;
    }
}

.gform_wrapper .gsection_title {
    font-weight: 500;
    color: #FCFCFC;
    margin: 0;
}

.gform_wrapper .gform_fields {
    display: flex;
    flex-wrap: wrap;
    margin-left: -12px;
    margin-right: -12px;
    row-gap: 24px;
}

.gform_wrapper .gfield {
    flex: 0 0 auto;
    width: 100%;
    padding-left: 12px;
    padding-right: 12px;
}


.gform_wrapper fieldset {
    border: 0;
    padding-top: 0;
    padding-bottom: 0;
}

.gform_wrapper input:not([type=radio]):not([type=checkbox]):not([type=submit]),
.gform_wrapper select,
.gform_wrapper textarea {
    vertical-align: top;
    height: 48px;
    background-color: transparent;
    color: #ffffff;
    border: 1px solid rgba(255, 255, 255, 0.4);
    border-radius: 4px;
    font-size: 16px;
    font-style: italic;
    padding: 12px 16px;
    font-weight: 300;
    appearance: none;
    outline: none;
}

@media (min-width: 1024px) {

    .gform_wrapper input:not([type=radio]):not([type=checkbox]):not([type=submit]),
    .gform_wrapper select,
    .gform_wrapper textarea {
        padding: 12px 24px;
    }
}

.gform_wrapper input:not([type=radio]):not([type=checkbox]):not([type=submit]):focus,
.gform_wrapper select:focus,
.gform_wrapper textarea:focus {
    border-color: #ffffff;
}

.gform_wrapper input:not([type=radio]):not([type=checkbox]):not([type=submit])::placeholder,
.gform_wrapper textarea::placeholder {
    color: #7A736B;
}

.gform_wrapper select {
    color: #7A736B;
    cursor: pointer;
    padding-right: 32px;
    background-image: url('./images/chevron-down.svg');
    background-size: 24px;
    background-repeat: no-repeat;
    background-position: calc(100% - 10px) center;
}

.gform_wrapper textarea {
    padding-top: 12px;
    min-height: 105px;
}

.gform_wrapper textarea.large {
    min-height: 220px;
}
@media (min-width: 768px){
    .gform_wrapper textarea.large {
        min-height: 180px;
    }
}
@media (min-width: 1200px){
    .gform_wrapper textarea.large {
        min-height: 220px;
    }
}


@media (min-width: 768px){
    .gform_wrapper textarea.medium {
        min-height: 120px;
    }
}

@media (min-width: 1024px){
    .gform_wrapper textarea.medium {
        min-height: 175px;
    }
}


.gform_wrapper .gfield--type-name .ginput_complex {
    display: grid;
    column-gap: 12px;
    row-gap: 16px;
}

.gform_wrapper .gfield--type-name .ginput_complex .name_first,
.gform_wrapper .gfield--type-name .ginput_complex .name_last {
    display: flex;
    flex-direction: column-reverse;
}

.gform_wrapper .gfield--type-choice .gfield_checkbox,
.gform_wrapper .gfield--type-choice .gfield_radio {
    display: flex;
    flex-direction: column;
    row-gap: 10px;
}

.gform_wrapper .gfield--type-choice legend {
    margin-bottom: 12px;
}

@media (min-width: 768px) {

    .gform_wrapper .gfield--type-choice .gfield_checkbox,
    .gform_wrapper .gfield--type-choice .gfield_radio {
        row-gap: 16px;
    }
}

@media (min-width: 1200px) {

    .gform_wrapper .gfield--type-choice .gfield_checkbox,
    .gform_wrapper .gfield--type-choice .gfield_radio {
        row-gap: 20px;
    }
}

.gform_wrapper .gfield--type-choice input[type="checkbox"],
.gform_wrapper .gfield--type-choice input[type="radio"] {
    position: absolute;
    left: -999999px;
}

.gform_wrapper .gfield--type-choice label {
    display: block;
    position: relative;
    padding-left: 32px;
    font-size: 14px;
    font-weight: 300;
    cursor: pointer;
    line-height: 1.5;
    color: #7A736B;
    font-style: italic;
    margin-bottom: 0;
}

@media (min-width: 768px) {
    .gform_wrapper .gfield--type-choice label {
        font-size: 15px;
    }
}

@media (min-width: 1200px) {
    .gform_wrapper .gfield--type-choice label {
        font-size: 16px;
    }
}

.gform_wrapper .gfield--type-choice label:before {
    content: '';
    width: 20px;
    height: 20px;
    position: absolute;
    top: 0;
    left: 0;
    border: 1px solid #7A736C;
    background-color: transparent;
}

.gform_wrapper .gfield--type-choice input[type="checkbox"]:checked+label:before {
    background-color: #FEB406;
}

.gform_wrapper .gfield--type-choice input[type="checkbox"]:checked+label:after {
    content: '';
    position: absolute;
    top: 4px;
    left: 4px;
    width: 12px;
    height: 7px;
    border: 2px solid #ffffff;
    border-top: 0;
    border-right: 0;
    transform: rotate(-45deg);
    opacity: 100;
}

.gform_wrapper .gfield--type-choice input[type="radio"]+label:before {
    border-radius: 50%;
}

.gform_wrapper .gfield--type-choice input[type="radio"]:checked+label:after {
    content: '';
    position: absolute;
    top: 5px;
    left: 5px;
    width: 10px;
    height: 10px;
    background-color: #FEB406;
    border-radius: 50%;

}

.gform_wrapper .gfield--input-type-fileupload .gform_drop_area{
    border: 1px solid rgba(255, 255, 255, 0.40);
    border-radius: 4px;
    padding: 20px 24px;
    color: #7A736B;
    font-size: 16px;
    font-style: italic;
}
.gform_wrapper .gfield--input-type-fileupload .ginput_preview{
    display: flex;
    flex-wrap: wrap;
    gap: 4px;
}
.gform_wrapper .gform_button_select_files {
    background-color: #E08D00;
    padding: 6px 10px;
    font-size: 14px;
    margin-left: 5px;
    cursor: pointer;
}
.gform_wrapper .gform_button_select_files:hover{
    background-color: transparent;
}
.gform_wrapper .gform_delete_file{
    padding: 0;
    border: 0;
    background-color: transparent;
    background: none;
}
.gform_wrapper .gform_delete_file:hover,
.gform_wrapper .gform_delete_file:focus{
    border: 0;
    background-color: transparent;
    color: #dc2626;
}
.gform_wrapper .gfield_description,
.gform_wrapper .ginput_preview{
    font-size: 14px;
    font-style: italic;
    font-weight: 300;
    margin-top: 4px;
}

.gform_wrapper .gform_footer .gform_button {
    position: relative;
    z-index: 1;
    min-width: 200px;
    padding: 14px 24px;
    transition: all .2s ease-in-out;
}

.gform_wrapper .gform_footer .gform_button {
    background: transparent;
}


.gform_wrapper .gform_footer .gform_button:not(:hover) {
    border-top-color: transparent;
    border-bottom-color: transparent;
}

.gform_wrapper .gform_footer .gform_button:before,
.gform_wrapper .gform_footer .gform_button:after {
    position: absolute;
    content: '';
    height: 1px;
    width: 100%;
    left: 0;
    z-index: -1;
}

.gform_wrapper .gform_footer .gform_button:before {
    top: 0;
    background: #FEB406;
    background: -webkit-linear-gradient(-90deg, rgba(254, 180, 6, 1) 0%, rgba(255, 255, 255, 0) 20%, rgba(255, 255, 255, 0) 40%, rgba(255, 255, 255, 0) 60%, rgba(254, 180, 6, 1) 100%);
    background: -moz-linear-gradient(-90deg, rgba(254, 180, 6, 1) 0%, rgba(255, 255, 255, 0) 20%, rgba(255, 255, 255, 0) 40%, rgba(255, 255, 255, 0) 60%, rgba(254, 180, 6, 1) 100%);
    background: linear-gradient(-90deg, rgba(254, 180, 6, 1) 0%, rgba(255, 255, 255, 0) 20%, rgba(255, 255, 255, 0) 40%, rgba(255, 255, 255, 0) 60%, rgba(254, 180, 6, 1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#FEB406", endColorstr="#FEB406", GradientType=1);
}

.gform_wrapper .gform_footer .gform_button:after {
    bottom: 0;
    background: #FEB406;
    background: -webkit-linear-gradient(90deg, rgba(254, 180, 6, 1) 0%, rgba(255, 255, 255, 0) 20%, rgba(255, 255, 255, 0) 40%, rgba(255, 255, 255, 0) 60%, rgba(254, 180, 6, 1) 100%);
    background: -moz-linear-gradient(90deg, rgba(254, 180, 6, 1) 0%, rgba(255, 255, 255, 0) 20%, rgba(255, 255, 255, 0) 40%, rgba(255, 255, 255, 0) 60%, rgba(254, 180, 6, 1) 100%);
    background: linear-gradient(90deg, rgba(254, 180, 6, 1) 0%, rgba(255, 255, 255, 0) 20%, rgba(255, 255, 255, 0) 40%, rgba(255, 255, 255, 0) 60%, rgba(254, 180, 6, 1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#FEB406", endColorstr="#FEB406", GradientType=0);
}

.gform_footer {
    position: relative;
    margin-top: 32px;
    display: inline-block;
}

.gform-loader {
    position: absolute;
    top: 50%;
    right: 8px;
    transform: translateY(-50%);
    z-index: 10;
    display: block !important;
}

.gform-loader:after {
    content: '';
    width: 12px;
    height: 12px;
    display: block;
    border: 2px solid;
    border-color: #FEB406 #FEB406 #ffffff #ffffff;
    border-radius: 50%;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    to {
        transform: rotate(360deg);
    }
}

.gform_wrapper .gform_submission_error {
    color: #dc2626;
    font-size: 18px;
}

.gform_wrapper .validation_message {
    color: #dc2626;
}

.gform_confirmation_message {
    display: block;
    text-align: center;
    font-size: 20px;
    line-height: 1.5;
    background-color: #FEB406;
    color: #ffffff;
    padding: 16px 32px;
    border: 1px solid #ffffff;
    border-radius: 8px;
    font-weight: 500;
}

.gform_validation_errors {
    outline: none;
}

.gform_validation_errors .validation_error {
    border: 1px solid #dc2626;
    color: #ffffff;
    font-weight: 500;
    padding: 16px;
    margin: 16px;
    text-align: center;
}

.gform_validation_errors .validation_error p:last-of-type {
    margin-bottom: 0;
}

.gform_validation_errors ol,
.gform_required_legend {
    display: none;
}

.gform_validation_errors .gform_submission_error {
    display: inline-block;
    line-height: 1.4;
    font-size: 18px;
    color: #ffffff;
    font-weight: 500;
    margin-bottom: 20px;
    background-color: #dc2626;
    width: 100%;
    text-align: center;
    padding: 24px 16px;
}

.gform_validation_errors .gform_submission_error:focus {
    border: 0;
}

.gform_body .validation_message {
    font-size: 14px;
    font-style: italic;
    margin-top: 4px;
    color: #ffffff;
}

.gform_wrapper .gfield_required {
    color: #FEB406;
}

.gform_confirmation_wrapper {
    text-align: center;
}

@media(min-width: 768px) {
    .gform_wrapper .gfield--width-half {
        width: 50%;
    }

    .gform_wrapper .gfield--width-third {
        width: 33.33%;
    }

    .gform_wrapper input:not([type=radio]):not([type=checkbox]):not([type=submit]),
    .gform_wrapper select,
    .gform_wrapper textarea {
        height: 50px;
    }

    .gform_wrapper .gfield--type-name .ginput_complex {
        grid-template-columns: repeat(2, minmax(0, 1fr));
    }

    .gform_validation_errors .validation_error {
        margin: 32px;
    }
}

@media(min-width: 1201px) {
    .gform_wrapper .gform_submission_error {
        font-size: 24px;
    }

    .gform_validation_errors .gform_submission_error {
        font-size: 20px;
    }
}

.ss-segment-form .gform_wrapper .gsection_title {
    font-size: 28px;
}

@media(min-width: 768px) {
    .ss-segment-form .gform_wrapper .gsection_title {
        font-size: 36px;
    }
}

@media (min-width: 1024px) {
    .ss-segment-form .gform_wrapper .gsection_title {
        font-size: 48px;
    }

    .ss-segment-form .gform_wrapper .gform_fields {
        justify-content: space-between;
    }

    .ss-segment-form .gform_wrapper .gfield {
        width: 47%;
        margin-left: 53%;
    }

    .ss-segment-form .gform_wrapper .gfield--type-section {
        width: 47%;
        margin: 15px 0 -75px;
        text-align: right;
    }

    .ss-segment-form .gform_wrapper .gform_footer {
        margin-left: 53%;
        padding-left: 12px;
    }
}

.ss-form-alt .gform_wrapper label,
.ss-form-alt .gform_wrapper legend.gfield_label {
    color: #fff;
    margin-left: 10px;
}

.ss-form-alt .gform_wrapper input:not([type=radio]):not([type=checkbox]):not([type=submit]),
.ss-form-alt .gform_wrapper select,
.ss-form-alt .gform_wrapper textarea {
    border-radius: 0;
    padding: 10px;
    font-style: normal;
    font-weight: 400;
    color: #fff;
}

@media (min-width: 1200px) {

    .ss-form-alt .gform_wrapper input:not([type=radio]):not([type=checkbox]):not([type=submit]),
    .ss-form-alt .gform_wrapper select,
    .ss-form-alt .gform_wrapper textarea {
        font-size: 18px;
    }
}

.ss-form-alt .gform_wrapper input:not([type=radio]):not([type=checkbox]):not([type=submit]):focus,
.ss-form-alt .gform_wrapper select:focus,
.ss-form-alt .gform_wrapper textarea:focus {
    border-color: #fff;
}

.ss-form-alt .gform_wrapper input:not([type=radio]):not([type=checkbox]):not([type=submit]),
.ss-form-alt .gform_wrapper select {
    border: 0;
    border-bottom: 1px solid #615E5B;
}

.ss-form-alt .gform_wrapper select {
    padding-right: 40px;
}

.ss-form-alt .gform_wrapper select option {
    color: #000;
}

.ss-form-alt .gform_wrapper input:not([type=radio]):not([type=checkbox]):not([type=submit])::placeholder,
.ss-form-alt .gform_wrapper textarea::placeholder {
    color: #fff;
}

.ss-submit-alt .gform_footer .gform_button {
    padding: 6px 24px;
    font-size: 16px;
    letter-spacing: 1.2px;
}

.ss-submit-alt .gform_footer .gform_button::before,
.ss-submit-alt .gform_footer .gform_button::after {
    display: none;
}

/*---------- Start ui-datepicker-----------*/

.ui-datepicker {
    z-index: 10 !important;
    background-color: #ffffff;
    font-size: 0.8125rem;
    border: 1px solid #e2e8f0;
    box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1);
    padding: 8px;
    color: #1a202c;
    border-radius: 8px;
}

.ginput_container_date {
    position: relative;
}

.gdatepicker_with_icon {
    padding-right: 3.5rem !important;
}

.ui-datepicker-trigger {
    position: absolute;
    top: 50%;
    right: 1.25rem;
    transform: translateY(-50%);
    cursor: pointer;
}

/* Header & Navigation */
.ui-datepicker-header {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    margin-bottom: 8px;
}

.ui-datepicker-header a {
    width: 48%;
    background-color: #f8f9fa;
    border: 1px solid #e2e8f0;
    padding: 6px 0;
    text-align: center;
    font-weight: 600;
    color: #1a202c;
    border-radius: 6px;
    text-decoration: none;
    transition: all 0.2s ease;
}

.ui-datepicker-header a:hover {
    background-color: #FEB406;
    border-color: #FEB406;
    color: #ffffff;
}

.ui-datepicker-title {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    width: 100%;
    margin-top: 8px;

}

.ui-datepicker-title select {
    width: 48%;
}

/* Calendar Grid */
.ui-datepicker-calendar {
    width: 100%;
    border-collapse: collapse;
    margin-bottom: 0;
}

.ui-datepicker-calendar th {
    color: #718096;
    font-weight: 600;
    padding: 8px 0;
    font-size: 0.75rem;
    text-transform: uppercase;
}

.ui-datepicker-calendar td {
    padding: 2px;
}

.ui-datepicker-calendar td a,
.ui-datepicker-calendar td span {
    display: block;
    padding: 8px 0;
    text-align: center;
    color: #2d3748;
    text-decoration: none;
    border-radius: 4px;
    transition: background 0.2s ease;
}

/* Day States */
.ui-datepicker-calendar td.ui-state-disabled {
    opacity: 0.5;
}

.ui-datepicker-calendar td:not(.ui-state-disabled):hover a {
    background-color: rgba(254, 180, 6, 0.15);
    color: #b37e00;
}

.ui-datepicker-calendar td.ui-datepicker-today a {
    border: 1px solid #FEB406;
    color: #FEB406;
    font-weight: bold;
}

.ui-datepicker-calendar td.ui-datepicker-current-day a {
    background-color: #FEB
}

/*---------- End ui-datepicker -----------*/